Download it now!
Bug 115448 - Missing new table formats in Writer/LO6.0
Summary: Missing new table formats in Writer/LO6.0
Status: RESOLVED NOTABUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables-Style User-Profile-Upgrade
  Show dependency treegraph
 
Reported: 2018-02-04 20:34 UTC by Chandanathil P. Geevan
Modified: 2018-02-08 13:15 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshots (41.38 KB, image/png)
2018-02-05 10:32 UTC, Chandanathil P. Geevan
Details
screenshot NEW table formats missing (47.01 KB, image/png)
2018-02-05 10:39 UTC, Chandanathil P. Geevan
Details
Screenshot table styles (134.83 KB, image/jpeg)
2018-02-05 11:14 UTC, Dieter
Details
screenshot(3) (65.91 KB, image/png)
2018-02-05 11:58 UTC, Chandanathil P. Geevan
Details
Screenshot of the issue. (49.97 KB, image/png)
2018-02-05 17:00 UTC, Scott
Details
new table styles missing (123.15 KB, image/png)
2018-02-05 18:36 UTC, Leif Lodahl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chandanathil P. Geevan 2018-02-04 20:34:31 UTC
New table formats missing. Facing the same problem with LO 6 (x86_64) - upgraded from 6RC2 (prior to that 5.4.4) OS: Windows 10 Pro None of the new formats mentioned in Release Notes (listed below) is available.

MISSING the NEW Table Formats! >> Academic, Box List Blue, Box List Green, Box List Red, Box List Yellow, Elegant, Financial, Simple Grid Columns, Simple Grid Rows, Simple List Shaded

Others have also reported this on social media.

What is the solution?
Comment 1 Dieter 2018-02-04 21:08:48 UTC
I can find them here:

1) Open Navigator
2) Styles
3) Table Styles

Does this answer your question?
Comment 2 Chandanathil P. Geevan 2018-02-05 10:32:48 UTC
Created attachment 139590 [details]
screenshots
Comment 3 Chandanathil P. Geevan 2018-02-05 10:34:58 UTC
Comment on attachment 139590 [details]
screenshots

The new styles described in release notes are missing.
Only the old ones are available. Is there anything more to be done to activate the new styles?
Comment 4 Chandanathil P. Geevan 2018-02-05 10:39:47 UTC
Created attachment 139591 [details]
screenshot NEW table formats missing

There are several NEW table formats described in release notes. Those new styles are missing. The old ones are there (through autoformat or navigator).
Comment 5 Dieter 2018-02-05 11:14:09 UTC
Created attachment 139593 [details]
Screenshot table styles

This is my screenshot of LO 6.1 ...
Comment 6 Chandanathil P. Geevan 2018-02-05 11:58:42 UTC
Created attachment 139594 [details]
screenshot(3)

Good! But, many of us are not getting those options.
I can see you have all those listed.
My version: 6.0.0.3 (x64) - the release version - default, from download page.
OS - Windows 10 Pro
Locale EN-GB/ UI - default (not added any theme)
Let me add another screenshot
Others have also reported this. 
Please check why some of us are unable to get the new table format styles.
Comment 7 Scott 2018-02-05 16:59:45 UTC
I am experiencing the same issue.
Comment 8 Scott 2018-02-05 17:00:17 UTC
Created attachment 139610 [details]
Screenshot of the issue.
Comment 9 Lars Becker 2018-02-05 17:51:50 UTC
I can confirm this with Version: 6.0.0.3 (Build ID: 6.0.0-1); OS: Linux 4.14; UI render: default; VCL: gtk3; Locale: de-DE (de_DE.UTF-8) with current Archlinux builds (libreoffice-fresh build on So 28 Jan 2018 20:13:12 CET).
Comment 10 Leif Lodahl 2018-02-05 18:35:22 UTC
I can confirm in 6.0.0.3 Linux x86_64.
Comment 11 Leif Lodahl 2018-02-05 18:36:44 UTC
Created attachment 139612 [details]
new table styles missing
Comment 12 Dieter 2018-02-06 05:35:11 UTC
(In reply to Leif Lodahl from comment #10)
> I can confirm in 6.0.0.3 Linux x86_64.

=> I set the bug report to NEW
Comment 13 Chandanathil P. Geevan 2018-02-06 07:32:03 UTC
Seems like a minor issue with the files packaged with different distributions. Yesterday, I downloaded a new copy and tried a repair. That did not resolve the problem.
Or, is it possible that some of the new styles are there in the distribution, but there is some way they remain inactive?
The problem is real. Many have reported although they have not bothered to file a bug report.

It isn't a critical issue. But does affect the credibility. The new table format styles were highlighted in the promotions for the new release but are missing in the installation for many. It is very disappointing.

This doesn't seem a 'difficult' issue to resolve since it is working for many and not for only a few.

Will be great if this issue could be quickly resolved.

Hoping for the best.
Comment 14 Heiko Tietze 2018-02-06 11:57:59 UTC
Table styles were submitted in a couple of patched handled in bug 101349. Apparently something went wrong and the styles didn't make it into 6.0 (confirming for macOS). Master, meaning the nightly builds, definitely contains the new styles and it is fixed for 6.1. Unfortunately we cannot solve the for the current releases. Closing as WF.

Cloph, Eike: FYI
Comment 15 Chandanathil P. Geevan 2018-02-06 15:11:36 UTC
Does this mean, it is now available in a nightly build?
Comment 16 Eike Rathke 2018-02-06 20:05:48 UTC
(In reply to Heiko Tietze from comment #14)
> Table styles were submitted in a couple of patched handled in bug 101349.
> Apparently something went wrong and the styles didn't make it into 6.0
I doubt that. The following changes affecting extras/source/misc_config/autotbl.fmt are present on the libreoffice-6-0 branch:

https://gerrit.libreoffice.org/44381
https://gerrit.libreoffice.org/45523
https://gerrit.libreoffice.org/45657
https://gerrit.libreoffice.org/45696

But as discussed earlier I think in bug 101349 or IRC, the new table styles are available only in a new user profile. If an autotbl.fmt file is present in an existing user configuration the existing old styles are used. An existing user/config/autotbl.fmt file has to be manually overwritten with the new file of the new shared (or a new user) configuration, which of course also overwrites any user defined auto styles stored in the old file, so be careful.
Comment 17 Heiko Tietze 2018-02-07 10:42:24 UTC
(In reply to Eike Rathke from comment #16)
> An existing user/config/autotbl.fmt file has to be manually overwritten...

You are absolutely right, cleaning the user directory shows the new stuff. Forgot this long known issue tracked in bug 57466 once again.
Comment 18 Chandanathil P. Geevan 2018-02-07 11:25:30 UTC
YES! I renamed the 'autotbl.fmt' in the folder
Earlier, I had a DEV installation (6RC2)
Copied the same file from the DEV installation config folder
Pasted it into my current regular installation config folder

Now I am able to see the new table style formats.

Better, if we have all the OLD styles plus the NEW.

Hope it is possible for old users to get the NEW styles without losing user's OLD DATA in config folder.
Comment 19 Chandanathil P. Geevan 2018-02-07 17:06:04 UTC
Why not consider this: keep two separate set of files as in a) standard dictionary + customised (added words), b) bundled templates + customised templates c) standard autocorrect list + user-defined list d) standard document format styles + user-defined .... That is more structured approach than merging. Merging could lead to problems.

When an update/upgrade is performed, rename the existing files to filename_old and copy the updated files.
Add option to use standard ones plus what was there in the previous version.

This could be one way to keep both old and new.